/*****************************************
 * Large Assignment 1: L-Systems
 * Name:    Daniel Morales-Garcia
 * E-mail:  dmorales33@unm.edu
 * Course:      CS491, Computational Fabrication
 * Submitted:    9/14/2023
 *
 * Driver program to create L-Systems
***********************************************/

import Turtle.*;
DanielMoralesLA1Class l;
Turtle t;

void setup(){
  size(900,900);
  stroke(255);
  
  l = new DanielMoralesLA1Class(height-20, 30, .53);
  
  /* Initialization for bushRules
  l = new LSystemClass(height-20, 20, .5);
  */
  
  t = new Turtle(this);
  frameRate(1);
  
}


void draw(){
  background(#FFFFFF);
  t.setX(width/2);
  t.setY(height/1.2);
  l.drawLSystem(t);
  l.iteration();
 
}

void keyPressed(){
  if (key == ' '){
    String filename = "Lsystem" + random(0, 100) + ".png";
    save(filename);
    println("saved file: " + filename);
  }
}
